mixin storeForm(store = {})
    form(action=`/add/${store._id || ''}` method="POST" class="card" enctype="multipart/form-data")
        
        label(for="name") Name
        input(type="text" name="name" value=store.name)

        label(for="description") Description
        textarea(name="description")= store.description

        label(for="photo")
        input(type="file" name="photo" id="photo" accept="image/gif, image/png, image/jpeg")
        if store.photo
            img(src=`/uploads/${store.photo}` alt=store.name width=200)

        //- address, lng & lat
        label(for="address") Address
        input(type="text" id="address" name="location[address]" value=(store.location && store.location.address))

        label(for="lng") Longitude
        input(type="text" id="lng" name="location[coordinates][0]" value=(store.location && store.location.coordinates[0]) required)

        label(for="lat") Latitude
        input(type="text" id="lat" name="location[coordinates][1]" value=(store.location && store.location.coordinates[1]) required)

        -const choices = ['Wifi', 'Open Late', 'Family Friendly', 'Vegetarian', 'Licensed']
        -const tags = store.tags || []
        ul.tags
            each choice in choices
                .tag.tag__choice
                    input(type="checkbox" id=choice value=choice name="tags" checked=(tags.includes(choice)))
                    label(for=choice)= choice

        input(type="submit" value="Save" class="button")